## Index

filename
  Including other Configuration Files
MAJOR WARNING
  !!! MAJOR WARNING !!!
*Archive
  Terminology
*JobLevel
  Bootstrap File Format
*JobType
  Bootstrap File Format
*WrapCounter
  The Counter Resource
-c file
  Daemon Command Line Options
-d nn
  Daemon Command Line Options
/about
  Windows Specific File daemon
/events
  Windows Specific File daemon
/help
  Windows Specific File daemon
/install
  Windows Specific File daemon
/kill
  Windows Specific File daemon
/remove
  Windows Specific File daemon
/run
  Windows Specific File daemon
/service
  Windows Specific File daemon
/status
  Windows Specific File daemon
destination
  Messages Resource
destination
  Messages Resource
-docdir configure option
  -docdir configure option
-htmldir configure option
  -htmldir configure option
-plugindir configure option
  -with-plugindir configure option
-prefix
  Configure Options
-sbindir
  Configure Options
-sysconfdir
  Configure Options
-mandir
  Configure Options
-datadir
  Configure Options
-disable-ipv6
  Configure Options
-enable-smartalloc
  Configure Options
-enable-bat
  Configure Options
-enable-batch-insert
  Configure Options
-enable-bwx-console
  Configure Options
-enable-static-tools
  Configure Options
-enable-static-fd
  Configure Options
-enable-static-sd
  Configure Options
-enable-static-dir
  Configure Options
-enable-static-cons
  Configure Options
-enable-client-only
  Configure Options
-enable-build-dird
  Configure Options
-enable-build-stored
  Configure Options
-enable-largefile
  Configure Options
-disable-nls
  Configure Options
-disable-ipv6
  Configure Options
-with-sqlite3
  Configure Options
-with-mysql
  Configure Options
-with-postgresql
  Configure Options
-with-python
  Configure Options
-with-libintl-prefix
  Configure Options
-enable-conio
  Configure Options
-with-readline
  Configure Options
-enable-readline
  Configure Options
-with-tcp-wrappers
  Configure Options
-with-archivedir
  Configure Options
-with-working-dir
  Configure Options
-with-baseport
  Configure Options
-with-dump-email
  Configure Options
-with-pid-dir
  Configure Options
-with-subsys-dir
  Configure Options
-with-dir-password
  Configure Options
-with-fd-password
  Configure Options
-with-sd-password
  Configure Options
-with-dir-user
  Configure Options
-with-dir-group
  Configure Options
-with-sd-user
  Configure Options
-with-sd-group
  Configure Options
-with-fd-user
  Configure Options
-with-fd-group
  Configure Options
-with-mon-dir-password
  Configure Options
-with-mon-fd-password
  Configure Options
-with-mon-sd-password
  Configure Options
-with-db-name
  Configure Options
-with-db-user
  Configure Options
a name
  Terminology | Terminology
Accurate
  The Job Resource | The Schedule Resource | The FileSet Resource
Accurate Backup
  Accurate Backup
ACL Updates
  ACL Updates
aclsupport
  The FileSet Resource
actiononpurge
  The Pool Resource
Actual Conf Files
  The Actual Conf Files
Adapting Your mtx-changer script
  Testing Autochanger and Adapting
Adding a Second Client
  Adding a Second Client
Additional Resources
  Additional Resources
AddPrefix
  The Job Resource
Address
  The Director Resource | The Director Resource | The Client Resource | The Storage Resource | The Director Resource
Address
  The Director Resource | The Client Resource | The Storage Resource
AddSuffix
  The Job Resource
Admin
  The Job Resource
Administrator
  Terminology
Advantages
  Advantages | Advantages
Advantages of Bacula Over Other Backup Programs
  Advantages Over Other Backup
Affero GNU General Public License
  Affero GNU General Public
alert
  Messages Resource
Alert Command
  Device Resource
Algorithm
  New Volume
    Recycling Algorithm
  Recycling
    Recycling Algorithm
all
  Messages Resource
Allow Duplicate Jobs
  Allow Duplicate Jobs = | The Job Resource
Allow Higher Duplicates
  Allow Higher Duplicates = | The Job Resource
Allow Mixed Priority
  Allow Mixed Priority = | The Job Resource
AllowCompression
  AllowCompression = yes|no | The Storage Resource
Alternate Disaster Recovery Suggestion for Win32 Systems
  Alternate Disaster Recovery Suggestion
always
  The Job Resource
Always Open
  Device Resource
ANSI and IBM Tape Labels
  ANSI and IBM Tape
append
  Messages Resource | Messages Resource
Archive Device
  Device Resource
Arguments
  Command Line
    Command Line Arguments
Attribute Despooling
  Enhanced Attribute Despooling
Attributes
  Restoring Directory
    Restoring Directory Attributes
Attribution-ShareAlike 4.0
  Creative Commons Attribution-ShareAlike 4.0
Authorization
  Names Passwords and
    Names, Passwords and Authorization
Auto Starting the Daemons
  Auto Starting the Daemons
Autochanger
  The Storage Resource | Device Resource
  Simulating Barcodes in your
    Simulating Barcodes in your
  Using the
    Using the Autochanger
Autochanger
  Device Configuration Records
Autochanger Resource
  Autochanger Resource | Autochanger Resource
Autochanger Support
  Autochanger Support
Autochangers
  Supported
    Supported Autochangers
  Supported
    Supported Autochangers
Automated Disk Backup
  Automated Disk Backup
Automatic Generation of Bootstrap Files
  Automatic Generation of Bootstrap
Automatic mount
  Capabilities
Automatic Pruning
  Automatic Pruning
Automatic Pruning and Recycling Example
  Automatic Pruning and Recycling
Automatic Volume Labeling
  Automatic Volume Labeling
Automatic Volume Recycling
  Automatic Volume Recycling
AutoPrune
  The Client Resource | The Pool Resource
AutoPrune
  Pruning Directives | Setting Retention Periods
Autoselect
  Device Resource
Aware
  FreeBSD Users Be
    FreeBSD Users Be Aware!!!
Backing up
  Partitions
    Backing up Raw Partitions
Backing up Raw Partitions
  Backing up Raw Partitions
Backing Up the WinNT/XP/2K System State
  Backing Up the Windows
Backing Up Third Party Databases
  Backing Up Third Party
Backing up to Multiple Disks
  Backing up to Multiple
Backing Up Your Bacula Database
  Backing Up Your Bacula
Backing Up Your Bacula Database - Security Considerations
  Security considerations
Backup
  The Job Resource
  Simple One Tape
    Simple One Tape Backup
Backup
  Terminology
Backup Strategies
  Backup Strategies
Backups
  slow
    The Job Resource | The Job Resource | The Client Resource
Backward Compatibility
  Backward Compatibility
Backward Space File
  Device Resource
Backward Space Record
  Device Resource
Bacula
  Before Running
    Before Running Bacula
  Disaster Recovery Using
    Disaster Recovery Using Bacula
  Installing
    Installing Bacula | Installing Bacula
  Running
    Running Bacula
  Upgrading
    Upgrading Bacula
  What is
    What is Bacula?
  Who Needs
    Who Needs Bacula?
Bacula Autochanger Interface
  Bacula Autochanger Interface
Bacula Bugs
  Bacula Bugs
Bacula Components or Services
  Bacula Components or Services
Bacula Configuration
  Bacula Configuration
Bacula Copyright, Trademark, and Licenses
  Bacula Copyright, Trademark, and
Bacula Security Issues
  Bacula Security Issues
Barcode Support
  Barcode Support
Bare Metal Recovery on Linux with a Rescue CD
  Bare Metal Recovery on
Bare Metal Recovery using a LiveCD
  Bare Metal Recovery using
Base
  The Job Resource
Base Jobs
  File Deduplication using Base
basejob
  The FileSet Resource
Basic Volume Management
  Basic Volume Management
Bat Enhancements
  Bat Enhancements
Before Running Bacula
  Before Running Bacula
Beta Releases
  Beta Releases
bextract handles Win32 non-portable data
  bextract non-portable Win32 data
Block Positioning
  Device Resource
Boot with your Rescue CDROM
  Boot with your Rescue
Bootstrap
  The Job Resource
Bootstrap Example
  A Final Bootstrap Example
Bootstrap File
  Terminology | The Bootstrap File
Bootstrap File Directive
  Bootstrap File Directive -
Bootstrap File Format
  Bootstrap File Format
Brief Tutorial
  A Brief Tutorial
Broken pipe
  The Client Resource | Storage Resource
bscan
  Bootstrap for bscan
  bootstrap
    Bootstrap for bscan
bscan bootstrap
  Bootstrap for bscan
BSF at EOM
  Device Resource
Bugs
  Bacula
    Bacula Bugs
  Linux Problems or
    Linux Problems or Bugs
Bugs and Other Considerations
  Bugs and Other Considerations
Building a File Daemon or Client
  Building a File Daemon
Building Bacula from Source
  Building Bacula from Source
Building Bacula with Encryption Support
  Building Bacula with Encryption
Cancel Lower Level Duplicates
  The Job Resource
Cancel Queued Duplicates
  Cancel Queued Duplicates = | The Job Resource
Cancel Running Duplicates
  Cancel Running Duplicates = | The Job Resource
Capabilities
  Capabilities
Catalog
  The Job Resource | The Client Resource | The Catalog Resource | The Counter Resource | Messages Resource
Catalog
  Terminology
Catalog Files
  The Pool Resource
Catalog Format
  Catalog Format
Catalog Maintenance
  Catalog Maintenance
Catalog Resource
  The Catalog Resource
CatalogACL
  The Console Resource
CC-BY-SA
  CC-BY-SA
CDROM
  Bare Metal Recovery on Linux with a Rescue
    Bare Metal Recovery on
  Boot with your Rescue
    Boot with your Rescue
Certificate
  Creating a Self-signed
    Creating a Self-signed Certificate
  Getting a CA Signed
    Getting a CA Signed
Changer Command
  Device Resource
Changer Command
  Autochanger Resource | Device Configuration Records | Autochanger Resource
Changer Device
  Device Resource | Autochanger Resource | Autochanger Resource
Changer Device
  Device Configuration Records
Changing Cartridges
  Changing Cartridges
Character Sets
  Character Sets
checkfilechanges
  The FileSet Resource
Cleaning Prefix
  The Pool Resource
Client
  The Job Resource
  Adding a Second
    Adding a Second Client
  Building a File Daemon or
    Building a File Daemon
  Windows Specific File daemon Command Line Options
    Windows Specific File daemon
Client
  Terminology | Bootstrap File Format
Client (or FileDaemon)
  The Client Resource | The Client Resource
Client (or FileDaemon)
  The Client Resource
Client Address
  The Client Resource
Client Connect Wait
  Storage Resource
Client Resource
  The Client Resource
Client Resource
  The Client Resource | The Client Resource
Client Run After Job
  The Job Resource
Client Run Before Job
  The Job Resource
Client/File daemon Configuration
  Client/File daemon Configuration
ClientACL
  The Console Resource
Clients
  Considerations for Multiple
    Considerations for Multiple Clients
Clone a Job
  The Job Resource
Close on Poll
  Device Resource
Command
  Console Restore
    The Restore Command
  Full Form of the Update Slots
    The Full Form of
  Restore
    The Restore Command
Command Line Arguments
  Command Line Arguments
Command Separator
  Use separator for multiple
CommandACL
  The Console Resource
Commands
  Console
    Console Commands
  File Selection
    File Selection Commands
  Other Useful Console
    Other Useful Console Commands
Comments
  Comments
Communications Encryption
  Bacula TLS - Communications
Compacting Your MySQL Database
  Compacting Your MySQL Database
Compacting Your PostgreSQL Database
  Compacting Your PostgreSQL Database
Compacting Your SQLite Database
  Compacting Your SQLite Database
compression
  The FileSet Resource | The FileSet Resource
Concurrent Disk Jobs
  Concurrent Disk Jobs
Concurrent Jobs
  The Director Resource
CONDITIONS
  TERMS AND
    TERMS AND CONDITIONS
Configuration
  Bacula
    Bacula Configuration
  Client/File daemon
    Client/File daemon Configuration
  Console
    Console Configuration
  Monitor
    Monitor Configuration
  Storage Daemon
    Storage Daemon Configuration
Configure Options
  Configure Options
Configuring and Testing TCP Wrappers
  Configuring and Testing TCP
Configuring the Console Program
  Configuring the Console Program
Configuring the Director
  Configuring the Director
Configuring the Director
  Configuring the Director
Configuring the File daemon
  Configuring the File daemon
Configuring the Monitor Program
  Configuring the Monitor Program
Configuring the Storage daemon
  Configuring the Storage daemon
Connect Timeout
  Connect Timeout
Connect Wait
  Storage Resource
Considerations
  Bugs and Other
    Bugs and Other Considerations
  Important
    Important Considerations
  Windows Compatibility
    Windows Compatibility Considerations
  Windows NTFS Naming
    Windows NTFS Naming Considerations
Console
  The Director Resource | Messages Resource | Messages Resource | The Console Resource
Console
  Terminology
Console Additions
  Console Command Additions and
Console Commands
  Console Commands
Console Configuration
  Console Configuration
Console Resource
  The Console Resource | The Console Resource
Console Restore Command
  The Restore Command
ConsoleFont
  The ConsoleFont Resource
ConsoleFont Resource
  The ConsoleFont Resource
Contents
  Table of
    Table of Contents
Conventions Used in this Document
  Conventions Used in this
Converting from MySQL to PostgreSQL
  Converting from MySQL to
Copy
  Migration and Copy
Copy Jobs
  Copy Jobs
Copyrights and Trademarks
  Copyrights and Trademarks
Count
  Bootstrap File Format
count
  File Selection Commands
Counter
  The Counter Resource
Counter Resource
  The Counter Resource
Creating a Pool
  Creating a Pool
Creating a Self-signed Certificate
  Creating a Self-signed Certificate
Credits
  Credits
Critical Items
  Critical Items
Critical Items to Implement Before Production
  Critical Items to Implement
Current Implementation Restrictions
  Current Implementation Restrictions
Current State of Bacula
  The Current State of
Customizing the Configuration Files
  Customizing the Configuration Files
Daemon
  Configuring the File
    Configuring the File daemon
  Configuring the Storage
    Configuring the Storage daemon
  Detailed Information for each
    Detailed Information for each
Daemon
  Terminology
Daemon Command Line Options
  Daemon Command Line Options
Daemons
  Auto Starting the
    Auto Starting the Daemons
  Starting the
    Starting the Daemons
Daily Tape Rotation
  Daily Tape Rotation
Daily, Weekly, Monthly Tape Usage Example
  Daily, Weekly, Monthly Tape
Data Encryption
  Data Encryption | Data Encryption
Data Spooling
  Data Spooling
Data Spooling Directives
  Data Spooling Directives
Database
  Backing Up Your Bacula
    Backing Up Your Bacula
  Backing Up Your Bacula Database - Security Considerations
    Security considerations
  Compacting Your MySQL
    Compacting Your MySQL Database
  Compacting Your PostgreSQL
    Compacting Your PostgreSQL Database
  Compacting Your SQLite
    Compacting Your SQLite Database
  MySQL Server Has Gone Away
    MySQL Server Has Gone
  MySQL Table is Full
    MySQL Table is Full
  Re-initializing the Catalog
    Re-initializing the Catalog Database | Re-initializing the Catalog Database | Re-initializing the Catalog Database
  Repairing Your MySQL
    Repairing Your MySQL Database
  Repairing Your PostgreSQL
    Repairing Your PostgreSQL Database
  Restoring
    Restoring When Things Go
  Starting the
    Starting the Database
Database Performance Issues
  Database Performance Issues
Database Performance Issues Indexes
  Performance Issues Indexes
Database Size
  Database Size
Databases
  Backing Up Third Party
    Backing Up Third Party
days
  Recognized Primitive Data Types
DB Address
  The Catalog Resource
DB Name
  The Catalog Resource
DB Port
  The Catalog Resource
DB Socket
  The Catalog Resource
dbcheck enhancements
  dbcheck enhancements
Dealing with Multiple Magazines
  Dealing with Multiple Magazines
Dealing with Windows Problems
  Dealing with Windows Problems
Debug Daemon Output
  Debug Daemon Output
Decrypting with a Master Key
  Decrypting with a Master
Dependency Packages
  Dependency Packages
Description
  The Director Resource
Design
  Overall
    Overall Design
Design Limitations or Restrictions
  Design Limitations or Restrictions
destination
  Messages Resource | Messages Resource
Detailed Information for each Daemon
  Detailed Information for each
Details
  Practical
    Practical Details | Practical Details
Details
  The Details
Device
  The Storage Resource
Device Configuration Records
  Device Configuration Records
Device Maximum Concurrent Jobs
  Device Resource
Device Resource
  Device Resource
Device Type
  Device Resource
devices
  Multiple
    Multiple Devices
  SCSI
    Knowing What SCSI Devices
Devices that require a mount (USB)
  Devices that require a
Differential
  The Job Resource
Differential
  Terminology
Differential Backup Pool
  The Job Resource
Differential Max Run Time
  The Job Resource
Differential Max Wait Time
  Incremental|Differential Max Wait Time
Differential Pool
  Differential Pool
Differential Wait Run Time
  The Job Resource
DifferentialPool
  The Schedule Resource
Difficulties Connecting from the FD to the SD
  Difficulties Connecting from the
dir
  File Selection Commands
DirAddress
  The Director Resource
DirAddresses
  The Director Resource
Directive
  *WrapCounter
    The Counter Resource
  Accurate
    The Schedule Resource | The FileSet Resource
  aclsupport
    The FileSet Resource
  AddPrefix
    The Job Resource
  AddSuffix
    The Job Resource
  AllowCompression
    The Storage Resource
  Always Open
    Device Resource
  Archive Device
    Device Resource
  Autochanger
    The Storage Resource | Device Resource
  Automatic mount
    Capabilities
  AutoPrune
    The Client Resource | The Pool Resource
  Autoselect
    Device Resource
  Backward Space File
    Device Resource
  Backward Space Record
    Device Resource
  Base
    The Job Resource
  basejob
    The FileSet Resource
  Block Positioning
    Device Resource
  Bootstrap
    The Job Resource
  BSF at EOM
    Device Resource
  Catalog
    The Client Resource | The Catalog Resource | The Counter Resource
  Catalog Files
    The Pool Resource
  CatalogACL
    The Console Resource
  Changer Command
    Device Resource
  Changer Device
    Device Resource
  checkfilechanges
    The FileSet Resource
  Cleaning Prefix
    The Pool Resource
  Client
    The Job Resource
  Client (or FileDaemon)
    The Client Resource | The Client Resource
  Client Run After Job
    The Job Resource
  Client Run Before Job
    The Job Resource
  ClientACL
    The Console Resource
  Close on Poll
    Device Resource
  CommandACL
    The Console Resource
  compression
    The FileSet Resource | The FileSet Resource
  Connect Wait
    Storage Resource
  Counter
    The Counter Resource
  DB Address
    The Catalog Resource
  DB Name
    The Catalog Resource
  DB Port
    The Catalog Resource
  DB Socket
    The Catalog Resource
  Description
    The Director Resource
  Device
    The Storage Resource
  Device Maximum Concurrent Jobs
    Device Resource
  Device Type
    Device Resource
  Differential Backup Pool
    The Job Resource
  Differential Max Run Time
    The Job Resource
  Differential Max Wait Time
    The Job Resource
  DifferentialPool
    The Schedule Resource
  DirAddress
    The Director Resource
  DirAddresses
    The Director Resource
  Director
    The Director Resource
  DirPort
    The Director Resource
  DirSourceAddress
    The Director Resource
  Drive Index
    Device Resource
  DriveType
    The FileSet Resource
  Enable
    The Job Resource
  Enable VSS
    The FileSet Resource
  Exclude
    The FileSet Resource | The FileSet Resource
  Fast Forward Space File
    Device Resource
  FD Address
    The Client Resource
  FD Connect Timeout
    The Director Resource
  FD Port
    The Client Resource
  FDAddress
    The Client Resource
  FDAddresses
    The Client Resource
  FDPort
    The Client Resource
  FDSourceAddress
    The Client Resource
  File Retention
    The Client Resource | The Pool Resource
  FileSet
    The Job Resource | The FileSet Resource
  FileSetACL
    The Console Resource
  Forward Space File
    Device Resource
  Forward Space Record
    Device Resource
  fstype
    The FileSet Resource
  Full Backup Pool
    The Job Resource
  FullPool
    The Schedule Resource
  hardlinks
    The FileSet Resource
  Hardware End of Medium
    Device Resource
  Heartbeat
    The Director Resource | The Storage Resource | The Client Resource | The Console Resource
  Heartbeat Interval
    The Client Resource | Storage Resource
  hfsplussupport
    The FileSet Resource
  honornodumpflag
    The FileSet Resource
  ignore case
    The FileSet Resource
  Ignore FileSet Changes
    The FileSet Resource
  Include
    The FileSet Resource
  Incremental Backup Pool
    The Job Resource
  Incremental Max Run Time
    The Job Resource
  IncrementalPool
    The Schedule Resource
  Job
    The Job Resource
  Job Retention
    The Client Resource | The Pool Resource
  JobACL
    The Console Resource
  JobDefs
    The Job Resource
  keepatime
    The FileSet Resource
  Label Format
    The Pool Resource
  Label Media
    Capabilities
  Level
    The Job Resource | The Schedule Resource | The Schedule Resource
  Max Full Interval
    The Job Resource
  Max Run Sched Time
    The Job Resource
  Max Run Time
    The Job Resource
  Max Start Delay
    The Job Resource
  Max Wait Time
    The Job Resource
  Maximum
    The Counter Resource | The Counter Resource
  Maximum Bandwidth
    The Job Resource
  Maximum Bandwidth Per Job
    The Client Resource | The Client Resource | The Director Resource
  Maximum block size
    Device Resource
  Maximum Changer Wait
    Device Resource
  Maximum Concurrent Jobs
    The Director Resource | The Job Resource | The Client Resource | The Storage Resource | The Client Resource | Storage Resource
  Maximum File Size
    Device Resource
  Maximum Job Spool Size
    Device Resource
  Maximum Network Buffer Size
    The Client Resource | Device Resource
  Maximum Open Wait
    Device Resource
  Maximum Rewind Wait
    Device Resource
  Maximum Spool Size
    Device Resource
  Maximum Volume Bytes
    The Pool Resource
  Maximum Volume Files
    The Pool Resource
  Maximum Volume Jobs
    The Pool Resource
  Maximum Volume Size
    Device Resource
  Maximum Volumes
    The Pool Resource
  MaximumConsoleConnections
    The Director Resource
  Media Type
    The Storage Resource | Device Resource
  Messages
    The Director Resource | The Job Resource | The Schedule Resource
  Minimum
    The Counter Resource
  Minimum block size
    Device Resource
  Monitor
    The Director Resource | Director Resource
  Mount Command
    Devices that require a
  Mount Point
    Devices that require a
  mtimeonly
    The FileSet Resource
  Name
    The Director Resource | The Job Resource | The Schedule Resource | The FileSet Resource | The Client Resource | The Storage Resource | The Pool Resource | The Catalog Resource | The Console Resource | The Counter Resource | The Client Resource | The Director Resource | Storage Resource | Director Resource | Device Resource
  New in 3.0.3
    Device Resource
  noatime
    The FileSet Resource
  Offline On Unmount
    Device Resource
  onefs
    The FileSet Resource
  Password
    The Director Resource | The Client Resource | The Storage Resource | The Catalog Resource | The Console Resource | The Director Resource | Director Resource
  Pid Directory
    The Director Resource | The Client Resource | Storage Resource
  Pool
    The Job Resource | The Schedule Resource | The Pool Resource
  Pool Type
    The Pool Resource
  PoolACL
    The Console Resource
  portable
    The FileSet Resource
  Prefer Mounted Volumes
    The Job Resource
  Prefix Links
    The Job Resource
  Priority
    The Job Resource | The Client Resource
  Prune Files
    The Job Resource
  Prune Jobs
    The Job Resource
  Prune Volumes
    The Job Resource
  Purge Oldest Volume
    The Pool Resource
  QueryFile
    The Director Resource
  Random access
    Device Resource
  readfifo
    The FileSet Resource
  recurse
    The FileSet Resource
  Recycle
    The Pool Resource
  Recycle Current Volume
    The Pool Resource
  Recycle Oldest Volume
    The Pool Resource
  RecyclePool
    The Pool Resource
  regex
    The FileSet Resource
  regexdir
    The FileSet Resource
  regexfile
    The FileSet Resource
  RegexWhere
    The Job Resource
  Removable media
    Device Resource
  Replace
    The Job Resource
  Requires Mount
    Devices that require a
  Rerun Failed Levels
    The Job Resource
  Reschedule Interval
    The Job Resource
  Reschedule On Error
    The Job Resource
  Reschedule Times
    The Job Resource
  Run
    The Job Resource | The Schedule Resource
  Run After Job
    The Job Resource | The Job Resource
  Run Before Job
    The Job Resource | The Job Resource
  Run Script
    The Job Resource
  Schedule
    The Job Resource | The Schedule Resource
  ScheduleACL
    The Console Resource
  ScrachPool
    The Pool Resource
  Scripts Directory
    The Director Resource
  SD Address
    The Storage Resource
  SD Connect Timeout
    The Director Resource
  SD Port
    The Storage Resource
  SDAddress
    Storage Resource
  SDAddresses
    Storage Resource
  SDConnectTimeout
    The Client Resource
  SDPort
    Storage Resource
  signature
    The FileSet Resource | The FileSet Resource
  sparse
    The FileSet Resource
  Spool Attributes
    The Job Resource
  Spool Data
    The Job Resource
  Spool Directory
    Device Resource
  SpoolSize
    The Job Resource
  StatisticsRetention
    The Director Resource
  Storage
    The Job Resource | The Schedule Resource | The Storage Resource | The Pool Resource
  StorageACL
    The Console Resource
  strippath
    The FileSet Resource
  StripPrefix
    The Job Resource
  TWO EOF
    Device Resource
  Type
    The Job Resource
  Unmount Command
    Devices that require a
  Use MTIOCGET
    Device Resource
  Use Volume Once
    The Pool Resource
  user
    The Catalog Resource
  VerId
    The Director Resource
  verify
    The FileSet Resource
  Verify Job
    The Job Resource
  Volume Poll Interval
    Device Resource
  Volume Retention
    The Pool Resource
  Volume Use Duration
    The Pool Resource
  Where
    The Job Resource
  WhereACL
    The Console Resource
  wild
    The FileSet Resource
  wilddir
    The FileSet Resource
  wildfile
    The FileSet Resource
  Working Directory
    The Director Resource | The Client Resource | Storage Resource
  Write Bootstrap
    The Job Resource
  xattrsupport
    The FileSet Resource
Directive
  Terminology
Directives
  Data Spooling
    Data Spooling Directives
  Edit Codes
    Edit Codes for Mount
  Pruning
    Pruning Directives
Director
  The Director Resource | The Director Resource | Messages Resource | Messages Resource | The Director Resource
  Configuring the
    Configuring the Director
  Configuring the
    Configuring the Director
Director
  Terminology | The Director Resource
Director Resource
  The Director Resource | Director Resource | The Director Resource
Director Resource
  The Director Resource | The Director Resource
Director Resource Types
  Director Resource Types
Directories
  Excluding Files and
    Excluding Files and Directories
Directory
  Recognized Primitive Data Types
  Get Rid of the /lib/tls
    Get Rid of the
DirPort
  The Director Resource | The Director Resource
DIRPort
  The Director Resource
DirSourceAddress
  The Director Resource
Disadvantages
  Disadvantages | Disadvantages
Disaster
  Preparing Solaris Before a
    Preparing Solaris Before a
Disaster Recovery
  Disaster Recovery
Disaster Recovery of Win32 Systems
  Disaster Recovery of Win32
Disaster Recovery Using Bacula
  Disaster Recovery Using Bacula
Disclaimer
  Disclaimer
Disk
  Automated Backup
    Automated Disk Backup
Disk Volumes
  Basic Volume Management
Disks
  Backing up to Multiple
    Backing up to Multiple
DiskToCatalog
  The Job Resource
Document
  Conventions Used in this
    Conventions Used in this
Domain
  Public
    Public Domain
done
  File Selection Commands
Drive
  Testing Bacula Compatibility with Your Tape
    Testing Compatibility with Your
Drive Index
  Device Resource
Drive Index
  Device Configuration Records
Drives
  Supported Tape
    Supported Tape Drives
  Unsupported Tape
    Unsupported Tape Drives
DriveType
  The FileSet Resource
Duplicate Jobs
  Duplicate Job Control
Edit Codes for Mount and Unmount Directives
  Edit Codes for Mount
Enable
  The Job Resource
Enable VSS
  The FileSet Resource | Volume Shadow Copy Service | Volume Shadow Copy Service
Encryption
  Communications
    Bacula TLS - Communications
  Data
    Data Encryption
  Transport
    Bacula TLS - Communications
Encryption Technical Details
  Encryption Technical Details
error
  Messages Resource
Errors
  Restore
    Restore Errors
estimate
  File Selection Commands
Example
  Automatic Pruning and Recycling
    Automatic Pruning and Recycling
  Bootstrap
    A Final Bootstrap Example
  Daily Weekly Monthly Tape Usage
    Daily, Weekly, Monthly Tape
  Data Encryption Configuration File
    Example Data Encryption Configuration
  File Daemon Configuration File
    Example Data Encryption Configuration
  TLS Configuration Files
    Example TLS Configuration Files
  Verify Configuration
    A Verify Configuration Example
Example
  An Example
Example Client Configuration File
  Example Client Configuration File
Example Configuration File
  An Example Configuration File
Example Data Encryption Configuration
  Example Data Encryption Configuration
Example Director Configuration File
  Example Director Configuration File
Example Migration Jobs
  Example Migration Jobs
Example Restore Job Resource
  Example Restore Job Resource
Example Scripts
  Example Scripts
Examples
  FileSet
    FileSet Examples
exclude
  The FileSet Resource
Exclude { file-list }
  The FileSet Resource
Excluding Files and Directories
  Excluding Files and Directories
exit
  File Selection Commands
Exit Status
  The Job Resource
Extended Attributes
  Extended Attributes
Fast Forward Space File
  Device Resource
fatal
  Messages Resource
FD Connect Timeout
  The Director Resource
FD Port
  The Client Resource
FD Port
  The Client Resource
FD Version
  FD Version
FDAddress
  The Client Resource
FDAddresses
  The Client Resource
FDPort
  The Client Resource
FDSourceAddress
  The Client Resource
Fiduciary License Agreement
  Fiduciary License Agreement
File
  Messages Resource | Messages Resource
  Bootstrap
    The Bootstrap File
  Example Client Configuration
    Example Client Configuration File
  Example Configuration
    An Example Configuration File
  Example Director Configuration
    Example Director Configuration File
  Sample Console Configuration
    Sample Console Configuration File
  Sample Storage Daemon Configuration
    Sample Storage Daemon Configuration
File Attributes
  Terminology
File Daemon
  Terminology
File Daemon Address
  The Client Resource
File Deduplication
  File Deduplication using Base
File Retention
  The Client Resource | The Pool Resource
File Retention
  Setting Retention Periods
File Selection Commands
  File Selection Commands
FileIndex
  Bootstrap File Format
Filename
  Selecting Files by
    Selecting Files by Filename
FileRegex
  Bootstrap File Format
Files
  Actual Conf
    The Actual Conf Files
  Automatic Generation of Bootstrap
    Automatic Generation of Bootstrap
  Customizing the Configuration
    Customizing the Configuration Files
  Including other Configuration
    Including other Configuration Files
  Modifying the Bacula Configuration
    Modifying the Bacula Configuration
  Problems Restoring
    Problems Restoring Files
  Restoring Your
    Restoring Your Files
  Setting Up Bacula Configuration
    Setting Up Bacula Configuration
  Testing your Configuration
    Testing your Configuration Files
FileSet
  The Job Resource | The FileSet Resource
  Testing Your
    Testing Your FileSet
  Windows Example
    A Windows Example FileSet
FileSet Examples
  FileSet Examples
FileSet Resource
  The FileSet Resource
FileSetACL
  The Console Resource
FileSets
  Windows
    Windows FileSets
Fills
  When The Tape
    When The Tape Fills
find
  File Selection Commands
Firewalls
  Windows
    Windows Firewalls
Fixing the Windows Boot Record
  Fixing the Windows Boot
Font
  The ConsoleFont Resource
Format
  Bootstrap
    Bootstrap File Format
  Resource Directive
    Resource Directive Format
Forward Space File
  Device Resource
Forward Space Record
  Device Resource
Found
  What To Do When Differences Are
    What To Do When
FreeBSD
  FreeBSD
FreeBSD Bare Metal Recovery
  FreeBSD Bare Metal Recovery
FreeBSD Issues
  FreeBSD Issues
FreeBSD Users Be Aware
  FreeBSD Users Be Aware!!!
fstype
  The FileSet Resource
ftruncate for NFS Volumes
  ftruncate for NFS Volumes
Full
  The Job Resource
Full Backup Pool
  The Job Resource
Full Form of the Update Slots Command
  The Full Form of
Full Pool
  Full Pool
FullPool
  The Schedule Resource
General
  General | General
General
  General
Generating Private/Public Encryption Keypairs
  Generating Private/Public Encryption Keys
Get Rid of the /lib/tls Directory
  Get Rid of the
Getting a CA Signed Certificate
  Getting a CA Signed
Getting Started with Bacula
  Getting Started with Bacula
GNU Lesser General Public License
  GNU Lesser General Public | GNU LESSER GENERAL PUBLIC
GPL
  GPL
hardlinks
  The FileSet Resource
Hardware End of Medium
  Device Resource
Have
  Knowing What SCSI Devices You
    Knowing What SCSI Devices
Heartbeat Interval
  The Director Resource | The Storage Resource | The Client Resource | The Client Resource | The Client Resource | Storage Resource | Storage Resource | The Console Resource
help
  File Selection Commands
hfsplussupport
  The FileSet Resource
honornodumpflag
  The FileSet Resource
hours
  Recognized Primitive Data Types
How to Apply These Terms to Your New Libraries
  How to Apply These
ifnewer
  The Job Resource
ifolder
  The Job Resource
ignore case
  The FileSet Resource
Ignore FileSet Changes
  The FileSet Resource
IgnoreDir
  Exclude Dir Containing = | The FileSet Resource
Implemented
  What
    What is Implemented
Important Considerations
  Important Considerations
Important Migration Considerations
  Important Migration Considerations
Include { [ Options {file-options} ...] file-list }
  The FileSet Resource
Including other Configuration Files
  Including other Configuration Files
Incremental
  The Job Resource
Incremental
  Terminology
Incremental Backup Pool
  The Job Resource
Incremental Max Run Time
  The Job Resource
Incremental Max Wait Time
  Incremental|Differential Max Wait Time
Incremental Pool
  Incremental Pool
Incremental Wait Run Time
  The Job Resource
IncrementalPool
  The Schedule Resource
info
  Messages Resource
InitCatalog
  The Job Resource
Installation
  Windows Installation
Installing and Configuring MySQL
  Installing and Configuring MySQL
Installing and Configuring MySQL - Phase I
  Installing and Configuring MySQL
Installing and Configuring MySQL - Phase II
  Installing and Configuring MySQL
Installing and Configuring PostgreSQL
  Installing and Configuring PostgreSQL
Installing and Configuring SQLite
  Installing and Configuring SQLite
Installing and Configuring SQLite - Phase I
  Installing and Configuring SQLite
Installing and Configuring SQLite - Phase II
  Installing and Configuring SQLite
Installing Bacula
  Installing Bacula | Installing Bacula
Installing MySQL from RPMs
  Installing MySQL from RPMs
Installing PostgreSQL from RPMs
  Installing PostgreSQL from RPMs
integer
  Recognized Primitive Data Types
Interactions Between the Bacula Services
  Interactions Between the Bacula
Interface
  Bacula Autochanger
    Bacula Autochanger Interface
Issues
  Bacula Security
    Bacula Security Issues
  FreeBSD
    FreeBSD Issues
Items
  Critical
    Critical Items
  Recommended
    Recommended Items
Items to Note
  Items to Note
Job
  The Job Resource
  Running a
    Running a Job
Job
  Bootstrap File Format
Job Resource
  The Job Resource
Job Retention
  The Client Resource | The Pool Resource
Job Retention
  Setting Retention Periods
JobACL
  The Console Resource
JobDefs
  The Job Resource
JobDefs Resource
  The JobDefs Resource
JobId
  Bootstrap File Format
Jobs
  Querying or Starting Jobs
    Using the Director to
  Understanding
    Understanding Jobs and Schedules
keepatime
  The FileSet Resource
Key Concepts and Resource Records
  Key Concepts and Resource
Knowing What SCSI Devices You Have
  Knowing What SCSI Devices
Label Format
  The Pool Resource
Label Media
  Capabilities | Capabilities
Labeling
  Automatic Volume
    Automatic Volume Labeling
  Specifying Slots When
    Specifying Slots When Labeling
Labeling Volumes with the Console Program
  Labeling Volumes with the
Labeling Your Volumes
  Labeling Your Volumes
Labels
  Tape
    ANSI and IBM Tape
  Understanding Pools Volumes and
    Understanding Pools, Volumes and
Level
  The Job Resource | The Schedule Resource | The Schedule Resource
LGPL
  LGPL
libdbi Framework
  libdbi Framework
Libraries
  How to Apply These Terms to Your New
    How to Apply These
libwrappers
  Configure Options | Configuring and Testing TCP
License
  Affero GNU General Public
    Affero GNU General Public
  Attribution-ShareAlike 4.0
    Creative Commons Attribution-ShareAlike 4.0
  GNU Lesser General Public
    GNU Lesser General Public | GNU LESSER GENERAL PUBLIC
Licenses
  Bacula Copyright Trademark
    Bacula Copyright, Trademark, and
Linking Bacula with MySQL
  Linking Bacula with MySQL
Linking Bacula with SQLite
  Linking Bacula with SQLite
Linux Problems or Bugs
  Linux Problems or Bugs
list files jobid
  Other Useful Console Commands
list jobid
  Other Useful Console Commands
list joblog
  list joblog job=xxx or
list jobmedia
  Other Useful Console Commands
list jobs
  Other Useful Console Commands
list jobtotals
  Other Useful Console Commands
list media
  Other Useful Console Commands
list pools
  Other Useful Console Commands
LiveCD
  Bare Metal Recovery using a LiveCD
    Bare Metal Recovery using
Log Rotation
  Log Rotation
Log Watch
  Log Watch
long integer
  Recognized Primitive Data Types
lsmark
  File Selection Commands
Magazines
  Dealing with Multiple
    Dealing with Multiple Magazines
mail
  Messages Resource
mail on error
  Messages Resource
mail on success
  Messages Resource
MailCommand
  Messages Resource
Maintenance
  Catalog
    Catalog Maintenance
Making Bacula Use a Single Tape
  Making Bacula Use a
Management
  Basic Volume
    Basic Volume Management
Manually Changing Tapes
  Manually Changing Tapes
Manually Recycling Volumes
  Manually Recycling Volumes
Manually resetting the Permissions
  Manually resetting the Permissions
mark
  File Selection Commands
Max Full Interval
  The Job Resource
Max Run Sched Time
  Max Run Sched Time | The Job Resource
Max Run Time
  The Job Resource
Max Run Time directives
  Max Run Time directives
Max Start Delay
  The Job Resource
Max Wait Time
  Max Wait Time = | The Job Resource
MaxDiffInterval
  MaxDiffInterval = time-interval | Honor No Dump Flag
MaxFullInterval
  MaxFullInterval = time-interval
Maximum
  The Counter Resource
Maximum Bandwidth
  The Job Resource
Maximum Bandwidth Per Job
  The Client Resource | The Client Resource | The Director Resource
Maximum block size
  Device Resource
Maximum Changer Wait
  Device Resource
Maximum Changer Wait
  Device Configuration Records
Maximum Concurrent Jobs
  The Director Resource | The Job Resource | The Client Resource | The Storage Resource | The Client Resource | Storage Resource
Maximum File Size
  Device Resource
Maximum Job Spool Size
  Device Resource
Maximum Network Buffer Size
  The Client Resource | Device Resource
Maximum Open Wait
  Device Resource
Maximum Rewind Wait
  Device Resource
Maximum Spool Size
  Device Resource
Maximum Volume Bytes
  The Pool Resource
Maximum Volume Files
  The Pool Resource
Maximum Volume Jobs
  The Pool Resource
Maximum Volume Size
  Device Resource
Maximum Volumes
  The Pool Resource
MaximumConcurrentJobs
  Device Resource
MaximumConsoleConnections
  MaximumConsoleConnections = number | The Director Resource
MD5
  The FileSet Resource
Media Type
  The Storage Resource | Device Resource
Message Resource
  The Message Resource
Messages
  The Director Resource | The Job Resource | The Schedule Resource | Messages Resource
messages
  Other Useful Console Commands
Messages Resource
  The Messages Resource | Messages Resource | Messages Resource
Microsoft Exchange Server 2003/2007 Plugin
  Microsoft Exchange Server 2003/2007
Migrating from SQLite to MySQL or PostgreSQL
  Migrating from SQLite to
Migration
  Migration and Copy
Minimum
  The Counter Resource
Minimum block size
  Device Resource
minutes
  Recognized Primitive Data Types
Misc New Features
  Miscellaneous
Modifying the Bacula Configuration Files
  Modifying the Bacula Configuration
Monitor
  The Director Resource | Director Resource
Monitor
  Terminology | The Monitor Resource
Monitor Configuration
  Monitor Configuration
Monitor Resource
  The Monitor Resource
months
  Recognized Primitive Data Types
mount
  Messages Resource | Messages Resource
Mount Command
  Device Resource | Devices that require a
Mount Point
  Device Resource | Devices that require a
mount storage
  Other Useful Console Commands
mtimeonly
  The FileSet Resource
mtx-changer list
  Testing Autochanger and Adapting
mtx-changer listall
  Testing Autochanger and Adapting | Testing Autochanger and Adapting
mtx-changer load
  Testing Autochanger and Adapting
mtx-changer loaded
  Testing Autochanger and Adapting
mtx-changer slots
  Testing Autochanger and Adapting
mtx-changer unload
  Testing Autochanger and Adapting
Multi-drive Example Configuration File
  A Multi-drive Example Configuration
Multiple Clients
  Considerations for Multiple Clients
Multiple Devices
  Multiple Devices
MySQL
  Installing and Configuring
    Installing and Configuring MySQL
  Installing from RPMs
    Installing MySQL from RPMs
  Linking Bacula with
    Linking Bacula with MySQL
  Migrating from SQLite to
    Migrating from SQLite to
MySQL Server Has Gone Away
  MySQL Server Has Gone
MySQL Table is Full
  MySQL Table is Full
name
  Recognized Primitive Data Types | The Director Resource | The Job Resource | The Schedule Resource | The FileSet Resource | The Client Resource | The Storage Resource | The Pool Resource | The Catalog Resource | The Console Resource | The Counter Resource | The Client Resource | The Director Resource | Storage Resource | Director Resource | Device Resource | Autochanger Resource | Messages Resource | The Director Resource | The ConsoleFont Resource | The Console Resource | Autochanger Resource
Name
  The Monitor Resource | The Director Resource | The Client Resource | The Storage Resource
name-string
  Recognized Primitive Data Types
Names, Passwords and Authorization
  Names, Passwords and Authorization
never
  The Job Resource
New Features
  New Features in 3.0.0
New Volume Algorithm
  Recycling Algorithm
noatime
  The FileSet Resource
Notes
  Other Make
    Other Make Notes
notsaved
  Messages Resource | Messages Resource
Offline On Unmount
  Device Resource
One Files Configure Script
  One File Configure Script
onefs
  The FileSet Resource
operator
  Messages Resource
OperatorCommand
  Messages Resource
Options
  Configure
    Configure Options
  Daemon Command Line
    Daemon Command Line Options
Options { file-options }
  The FileSet Resource
Other Make Notes
  Other Make Notes
Other Points
  Other Points
Other Useful Console Commands
  Other Useful Console Commands
Output
  Debug Daemon
    Debug Daemon Output
Overall Design
  Overall Design
Packages
  Dependency
    Dependency Packages
password
  Recognized Primitive Data Types | The Director Resource | The Client Resource | The Storage Resource | The Catalog Resource | The Console Resource | The Director Resource | Director Resource | The Director Resource | The Console Resource
Password
  The Monitor Resource | The Client Resource | The Storage Resource
Passwords
  Names, Passwords and Authorization
Performance
  Database
    Database Performance Issues | Performance Issues Indexes
Periods
  Setting Retention
    Setting Retention Periods
Permissions
  Manually resetting the
    Manually resetting the Permissions
Phase I
  Installing and Configuring MySQL -
    Installing and Configuring MySQL
  Installing and Configuring SQLite -
    Installing and Configuring SQLite
Phase II
  Installing and Configuring MySQL -
    Installing and Configuring MySQL
  Installing and Configuring SQLite -
    Installing and Configuring SQLite
Pid Directory
  The Director Resource | The Client Resource | Storage Resource
Plugin
  Bacula Plugins | Plugin = plugin-command-string
Plugin Directory
  Plugin Directory
Plugin Options
  Plugin Options
Plugin Options ACL
  Plugin Options ACL
Points
  Other
    Other Points
Pool
  The Job Resource | The Schedule Resource | The Pool Resource
  Creating a
    Creating a Pool
  Differential
    Differential Pool
  Full
    Full Pool
  Incremental
    Incremental Pool
Pool Options to Limit the Volume Usage
  Pool Options to Limit
Pool Resource
  The Pool Resource
Pool Type
  The Pool Resource
PoolACL
  The Console Resource
portable
  The FileSet Resource
positive integer
  Recognized Primitive Data Types
Post Windows Installation
  Post Windows Installation
PostgreSQL
  Configuring PostgreSQL -
    Configuring PostgreSQL
  Converting from MySQL to
    Converting from MySQL to
  Installing
    Installing PostgreSQL
  Installing and Configuring
    Installing and Configuring PostgreSQL
  Installing from RPMs
    Installing PostgreSQL from RPMs
Practical Details
  Practical Details | Practical Details
Preamble
  Preamble
Prefer Mounted Volumes
  The Job Resource
Prefix Links
  The Job Resource
Preparing Solaris Before a Disaster
  Preparing Solaris Before a
Priority
  The Job Resource | The Client Resource
Problem
  The Problem
Problems
  VSS
    VSS Problems | VSS Problems
  Windows Backup
    Windows Restore Problems
  Windows Ownership and Permissions
    Windows Ownership and Permissions
  Windows Restore
    Windows Restore Problems
Problems Restoring Files
  Problems Restoring Files
Production
  Critical Items to Implement Before
    Critical Items to Implement
Program
  Configuring the Console
    Configuring the Console Program
  Configuring the Monitor
    Configuring the Monitor Program
  Labeling Volumes with the Console
    Labeling Volumes with the
  Quitting the Console
    Quitting the Console Program
Programs
  Advantages of Bacula Over Other Backup
    Advantages Over Other Backup
Prune Files
  The Job Resource
Prune Jobs
  The Job Resource
Prune Volumes
  The Job Resource
Pruning
  Automatic
    Automatic Pruning
Pruning Directives
  Pruning Directives
Public Domain
  Public Domain
Purge Oldest Volume
  The Pool Resource
pwd
  File Selection Commands
quarters
  Recognized Primitive Data Types
QueryFile
  The Director Resource
Querying or starting Jobs
  Using the Director to
Quick Start
  Quick Start
Quick Start
  Quick Start
quit
  Other Useful Console Commands | File Selection Commands
Quitting the Console Program
  Quitting the Console Program
Random access
  Device Resource
Re-initializing the Catalog Database
  Re-initializing the Catalog Database | Re-initializing the Catalog Database | Re-initializing the Catalog Database
readfifo
  The FileSet Resource
Recognized Primitive Data Types
  Recognized Primitive Data Types
Recommended Items
  Recommended Items
Recommended Options for Most Systems
  Recommended Options for Most
Record
  Sample Director's Console
    Sample Director's Console record.
  Sample File daemon's Director
    Sample File daemon's Director
  Sample Storage daemon's Director
    Sample Storage daemon's Director
Records
  Device Configuration
    Device Configuration Records
  Key Concepts and Resource
    Key Concepts and Resource
Recovery
  Bare Metal Recovery using a LiveCD
    Bare Metal Recovery using
  Disaster
    Disaster Recovery
  Disaster Recovery
    Disaster Recovery Using Bacula
  FreeBSD Bare Metal
    FreeBSD Bare Metal Recovery
  Solaris Bare Metal
    Solaris Bare Metal Recovery
  Windows Disaster
    Windows Disaster Recovery
recurse
  The FileSet Resource
Recycle
  The Pool Resource
Recycle
  Pruning Directives
Recycle Current Volume
  The Pool Resource
Recycle Oldest Volume
  The Pool Resource
Recycle Pool
  Recycle Pool = pool-name
Recycle Status
  Recycle Status
RecyclePool
  The Pool Resource
Recycling
  Automatic Volume
    Automatic Volume Recycling
  Restricting the Number of Volumes and Recycling
    Restricting the Number of
Recycling Algorithm
  Recycling Algorithm
Red Hat
  Red Hat
Refresh Interval
  The Monitor Resource
regex
  The FileSet Resource
regexdir
  The FileSet Resource
regexfile
  The FileSet Resource
RegexWhere
  The Job Resource
Release Files
  Source Release Files
Release Numbering
  Releases Numbering
Removable media
  Device Resource
Repairing Your MySQL Database
  Repairing Your MySQL Database
Repairing Your PostgreSQL Database
  Repairing Your PostgreSQL Database
Replace
  The Job Resource
Requirements
  Requirements
  System
    System Requirements
Requires Mount
  Devices that require a
Requires Mount
  Device Resource
Rerun Failed Levels
  The Job Resource
Reschedule Interval
  The Job Resource
Reschedule On Error
  The Job Resource
Reschedule Times
  The Job Resource
Rescue
  Bare Metal Recovery using a LiveCD
    Bare Metal Recovery using
  Disaster Recovery
    Disaster Recovery Using Bacula
  FreeBSD Bare Metal
    FreeBSD Bare Metal Recovery
Resetting Directory and File Ownership and Permissions on Win32 Systems
  Ownership and Permissions on
Resource
  Autochanger
    Autochanger Resource | Autochanger Resource
  Catalog
    The Catalog Resource
  Client
    The Client Resource
  Client
    The Client Resource | The Client Resource
  Console
    The Console Resource | The Console Resource
  ConsoleFont
    The ConsoleFont Resource
  Counter
    The Counter Resource
  Device
    Device Resource
  Director
    The Director Resource | Director Resource | The Director Resource
  Director
    The Director Resource | The Director Resource
  Example Restore Job
    Example Restore Job Resource
  FileSet
    The FileSet Resource
  Job
    The Job Resource
  JobDefs
    The JobDefs Resource
  Message
    The Message Resource
  Messages
    The Messages Resource | Messages Resource | Messages Resource
  Monitor
    The Monitor Resource
  Pool
    The Pool Resource
  Schedule
    The Schedule Resource
  Storage
    The Storage Resource | Storage Resource
  Storage
    The Storage Resource
Resource
  Terminology
Resource Directive Format
  Resource Directive Format
Resource Types
  Resource Types
Resources
  Additional
    Additional Resources
Restore
  Restore from Multiple Storage | The Job Resource
Restore
  Terminology
Restore Command
  The Restore Command
Restore Directories
  The Restore Command
Restore Errors
  Restore Errors
Restore menu
  Full Restore from a
restored
  Messages Resource | Messages Resource
Restoring a Client System
  Restoring a Client System
Restoring a Server
  Restoring a Server
Restoring Directory Attributes
  Restoring Directory Attributes
Restoring Files Can Be Slow
  Restoring Files Can Be
Restoring on Windows
  Restoring on Windows
Restoring to a Running System
  Restoring to a Running
Restoring When Things Go Wrong
  Restoring When Things Go
Restoring Your Database
  Restoring When Things Go
Restoring Your Files
  Restoring Your Files
Restricting the Number of Volumes and Recycling
  Restricting the Number of
Restrictions
  Current Implementation
    Current Implementation Restrictions
  Design Limitations or
    Design Limitations or Restrictions
Retention Period
  Terminology
Rotation
  Daily Tape
    Daily Tape Rotation
  Log
    Log Rotation
Run
  The Job Resource | The Schedule Resource
Run After Job
  The Job Resource | The Job Resource
Run Before Job
  The Job Resource
Running a Job
  Running a Job
Running as non-root
  Running as non-root
Running Bacula
  Running Bacula
Running the Verify
  Running the Verify
RunScript
  The Job Resource
RunScript Enhancements
  RunScript Enhancements
Sample Console Configuration File
  Sample Console Configuration File
Sample Director's Console record.
  Sample Director's Console record.
Sample File daemon's Director record.
  Sample File daemon's Director
Sample Storage Daemon Configuration File
  Sample Storage Daemon Configuration
Sample Storage daemon's Director record.
  Sample Storage daemon's Director
Sample Tray Monitor configuration
  Sample Tray Monitor configuration
Scan
  Terminology
Schedule
  The Job Resource | The Schedule Resource
Schedule
  Terminology
Schedule Resource
  The Schedule Resource
ScheduleACL
  The Console Resource
Schedules
  Technical Notes on
    Technical Notes on Schedules
  Understanding
    Understanding Jobs and Schedules
ScrachPool
  The Pool Resource
Scratch Pool
  The Scratch Pool
ScratchPool
  ScratchPool = pool-resource-name
Script
  One File Configure
    One File Configure Script
Scripts
  Example
    Example Scripts
Scripts Directory
  The Director Resource
SCSI devices
  Knowing What SCSI Devices
SD
  Difficulties Connecting from the FD to the SD
    Difficulties Connecting from the
SD Connect Timeout
  The Director Resource
SD Port
  The Storage Resource
SD Port
  The Storage Resource
SDAddress
  Storage Resource
SDAddresses
  Storage Resource
SDConnectTimeout
  The Client Resource
SDPort
  Storage Resource
seconds
  Recognized Primitive Data Types
security
  Messages Resource | Bacula Security Issues
  Using Bacula to Improve Computer
    Using Bacula to Improve
Selecting Files by Filename
  Selecting Files by Filename
Server
  Restoring a
    Restoring a Server
Service
  Terminology
Services
  Bacula Components or
    Bacula Components or Services
  Interactions Between the Bacula
    Interactions Between the Bacula
Session
  Terminology
Setting Retention Periods
  Setting Retention Periods
Setting Up Bacula Configuration Files
  Setting Up Bacula Configuration
SHA1
  The FileSet Resource
Shared objects
  Shared objects
Shutting down Windows Systems
  Shutting down Windows Systems
signature
  The FileSet Resource | The FileSet Resource
Simple One Tape Backup
  Simple One Tape Backup
Simulating Barcodes in your Autochanger
  Simulating Barcodes in your
Simultaneous Jobs
  The Director Resource
size
  Recognized Primitive Data Types
  Database
    Database Size
skipped
  Messages Resource | Messages Resource
Slot
  Bootstrap File Format
Slots
  Slots
slow
  The Job Resource | The Job Resource | The Client Resource
  Restoring Files Can Be
    Restoring Files Can Be
Solaris
  Solaris
Solaris Bare Metal Recovery
  Solaris Bare Metal Recovery
Solution
  The Solution
Source
  Building Bacula from
    Building Bacula from Source
Source Address
  Source Address
Source Files
  Source Release Files
Spaces
  Upper/Lower Case
    Upper and Lower Case
sparse
  The FileSet Resource
Specifications
  Tape
    Tape Specifications
Specifying Slots When Labeling
  Specifying Slots When Labeling
Spool Attributes
  The Job Resource
Spool Data
  The Job Resource
Spool Directory
  Device Resource
Spooling
  Data
    Data Spooling
SpoolSize
  SpoolSize = size-specification-in-bytes | The Job Resource
SQLite
  Installing and Configuring
    Installing and Configuring SQLite
  Linking Bacula with
    Linking Bacula with SQLite
  Testing
    Testing SQLite
Start
  Quick
    Quick Start
  Quick
    Quick Start
Starting the Daemons
  Starting the Daemons
Starting the Database
  Starting the Database
State
  Backing Up the WinNT/XP/2K System
    Backing Up the Windows
State File
  State File updated at
Static linking
  Building Static versions of
Statistics
  Using Bacula catalog to
Statistics Enhancements
  Statistics Enhancements
StatisticsRetention
  The Director Resource
Status
  Recycle
    Recycle Status
status
  Other Useful Console Commands
status dir
  Other Useful Console Commands
Status Enhancements
  Status Enhancements
status jobid
  Other Useful Console Commands
StatusSlots
  Display Autochanger Content
stderr
  Messages Resource | Messages Resource
stdout
  Messages Resource | Messages Resource
Steps to Take Before Disaster Strikes
  Steps to Take Before
Storage
  The Job Resource | The Schedule Resource | The Storage Resource | The Pool Resource
Storage
  The Storage Resource
Storage Coordinates
  Terminology
Storage Daemon
  Terminology
Storage daemon Address
  The Storage Resource
Storage Daemon Configuration
  Storage Daemon Configuration
Storage Resource
  The Storage Resource | Storage Resource
Storage Resource
  The Storage Resource
StorageACL
  The Console Resource
Strategies
  Backup
    Backup Strategies
Stream
  Bootstrap File Format
Strikes
  Steps to Take Before Disaster
    Steps to Take Before
string
  Recognized Primitive Data Types
strippath
  The FileSet Resource
StripPrefix
  The Job Resource
Support
  Autochanger
    Autochanger Support
  Barcode
    Barcode Support
Supported Autochanger Models
  Supported Autochangers
Supported Autochangers
  Supported Autochangers
Supported Operating Systems
  Supported Operating Systems
Supported Operating Systems
  Supported Operating Systems
Supported Tape Drives
  Supported Tape Drives
syslog
  Messages Resource
System
  Restoring a Client
    Restoring a Client System
  Restoring to a Running
    Restoring to a Running
System Requirements
  System Requirements
Systems
  Alternate Disaster Recovery Suggestion for Win32
    Alternate Disaster Recovery Suggestion
  Disaster Recovery of Win32
    Disaster Recovery of Win32
  Recommended Options for Most
    Recommended Options for Most
  Resetting Directory and File Ownership and Permissions on Win32
    Ownership and Permissions on
  Shutting down Windows
    Shutting down Windows Systems
  Supported Operating
    Supported Operating Systems
  Supported Operating
    Supported Operating Systems
Table of Contents
  Table of Contents
Tape
  Making Bacula Use a Single
    Making Bacula Use a
Tape Specifications
  Tape Specifications
Tapes
  Manually Changing
    Manually Changing Tapes
TCP Wrappers
  Configure Options | Configuring and Testing TCP
Technical Notes on Schedules
  Technical Notes on Schedules
terminate
  Messages Resource
Terminology
  Terminology
TERMS AND CONDITIONS
  TERMS AND CONDITIONS
Testing Bacula Compatibility with Your Tape Drive
  Testing Compatibility with Your
Testing SQLite
  Testing SQLite
Testing the Autochanger
  Testing Autochanger and Adapting
Testing your Configuration Files
  Testing your Configuration Files
Testing Your FileSet
  Testing Your FileSet
Thanks
  Thanks
The bpipe Plugin
  The bpipe Plugin
time
  Recognized Primitive Data Types
TLS
  Bacula TLS - Communications
TLS - Communications Encryption
  Bacula TLS - Communications
TLS Authentication
  TLS Authentication
TLS Configuration Files
  Example TLS Configuration Files
Trademark
  Trademark
Trademarks
  Copyrights and
    Copyrights and Trademarks
Transport Encryption
  Bacula TLS - Communications
Tray Monitor Security
  Tray Monitor Security
Tuning
  Tuning PostgreSQL
Tutorial
  Brief
    A Brief Tutorial
TWO EOF
  Device Resource
Type
  The Job Resource
Types
  Director Resource
    Director Resource Types
  Recognized Primitive Data
    Recognized Primitive Data Types
  Resource
    Resource Types
Understanding Pools, Volumes and Labels
  Understanding Pools, Volumes and
Unicode
  Considerations for Filename Specifications
Uninstalling Bacula on Windows
  Uninstalling Bacula on Windows
unmark
  File Selection Commands
Unmount Command
  Device Resource | Devices that require a
unmount storage
  Other Useful Console Commands
Unsupported Tape Drives
  Unsupported Tape Drives
Upgrading
  Upgrading Bacula | Windows Installation | Linking Bacula with MySQL | Upgrading MySQL | Installing and Configuring PostgreSQL | Upgrading PostgreSQL
  MySQL
    Upgrading MySQL
  PostgreSQL
    Upgrading PostgreSQL
Upgrading Bacula
  Upgrading Bacula
Upgrading MySQL
  Upgrading MySQL
Upgrading PostgreSQL
  Upgrading PostgreSQL
Upper and Lower Case and Spaces
  Upper and Lower Case
Usage
  Pool Options to Limit the Volume
    Pool Options to Limit
  Windows Port
    Windows Port Usage
Use
  What Database to
    What Database to Use?
Use MTIOCGET
  Device Resource
Use Volume Once
  The Pool Resource
user
  The Catalog Resource
to include other files
  Including other Configuration Files
Using Bacula to Improve Computer Security
  Using Bacula to Improve
Using File Relocation
  Using File Relocation
Using Pools to Manage Volumes
  Automated Disk Backup
Using the Autochanger
  Using the Autochanger
Vbackup
  Virtual Backup (Vbackup)
VerId
  VerId = string
Verify
  The Job Resource | The FileSet Resource
  Running the
    Running the Verify
Verify
  Terminology
Verify Configuration Example
  A Verify Configuration Example
Verify Job
  The Job Resource
Version Numbering
  Releases Numbering
Virtual Backup
  Virtual Backup (Vbackup)
Virtual Tape Emulation
  Virtual Tape Emulation
VolBlock
  Bootstrap File Format
VolFile
  Bootstrap File Format
volmgmt
  Messages Resource
VolSessionId
  Bootstrap File Format
VolSessionTime
  Bootstrap File Format
Volume
  Terminology | Bootstrap File Format
Volume Poll Interval
  Device Resource
Volume Retention
  The Pool Resource | Pruning Directives
Volume Shadow Copy Service
  Volume Shadow Copy Service
Volume Use Duration
  The Pool Resource
Volumes
  Labeling Your
    Labeling Your Volumes
  Manually Recycling
    Manually Recycling Volumes
  Using Pools to Manage
    Automated Disk Backup
VolumeToCatalog
  The Job Resource
VSS
  Volume Shadow Copy Service
VSS Problems
  VSS Problems | VSS Problems
warning
  Messages Resource
  MAJOR
    !!! MAJOR WARNING !!!
Watch
  Log
    Log Watch
weeks
  Recognized Primitive Data Types
What Bacula is Not
  What Bacula is Not
What Database to Use?
  What Database to Use?
What is Bacula?
  What is Bacula?
What is Implemented
  What is Implemented
What To Do When Differences Are Found
  What To Do When
When The Tape Fills
  When The Tape Fills
Where
  The Job Resource
WhereACL
  The Console Resource
Who Needs Bacula?
  Who Needs Bacula?
wild
  The FileSet Resource
wilddir
  The FileSet Resource
wildfile
  The FileSet Resource
Win32
  Win32
Win64 Client
  64 bit Windows Client
Windows
  Considerations for Filename Specifications
    Considerations for Filename Specifications
  Dealing with Problems
    Dealing with Windows Problems
  Fixing the Boot Record
    Fixing the Windows Boot
  Installation
    Windows Installation
  Post Installation
    Post Windows Installation
  Restoring on
    Restoring on Windows
  Uninstalling Bacula
    Uninstalling Bacula on Windows
Windows Backup Problems
  Windows Restore Problems
Windows Compatibility Considerations
  Windows Compatibility Considerations
Windows Disaster Recovery
  Windows Disaster Recovery
Windows Example FileSet
  A Windows Example FileSet
Windows FileSets
  Windows FileSets
Windows Firewalls
  Windows Firewalls
Windows NTFS Naming Considerations
  Windows NTFS Naming Considerations
Windows Ownership and Permissions Problems
  Windows Ownership and Permissions
Windows Path Length Restriction
  Considerations for Filename Specifications
Windows Port Usage
  Windows Port Usage
Windows Restore Problems
  Windows Restore Problems
Windows Specific File daemon Command Line Options
  Windows Specific File daemon
Windows Version of Bacula
  The Windows Version of
Working Directory
  The Director Resource | The Client Resource | Storage Resource
Wrappers
  TCP
    Configure Options | Configuring and Testing TCP
Write Bootstrap
  The Job Resource
xattrsupport
  The FileSet Resource
years
  Recognized Primitive Data Types
yes or no
  Recognized Primitive Data Types

[general] 2